import { useTranslation } from 'react-i18next'
import { appInst } from 'appConfig'
import { ReactComponent as UiOLogoNo } from './uio/uio-logo-neg-no.svg'
import { ReactComponent as UiOLogoEn } from './uio/uio-logo-neg-en.svg'
import { ReactComponent as UiOLogoSealNo } from './uio/uio-segl-full-neg-no.svg'
import { ReactComponent as UiOLogoSealEn } from './uio/uio-segl-full-neg-en.svg'

import { ReactComponent as UiBLogoNo } from './uib/UiBlogo_hvit_v.svg'
import { ReactComponent as UiBLogoEn } from './uib/UiBlogo_Eng_white_left.svg'

function getHeaderLogo() {
  const { i18n } = useTranslation()
  switch (appInst) {
    case 'uio':
      if (i18n.language === 'en') {
        return <UiOLogoEn />
      }
      return <UiOLogoNo />
    case 'uib':
      return <></>
    default:
      return <></>
  }
}

function getFooterLogo() {
  const { i18n } = useTranslation()

  switch (appInst) {
    case 'uio':
      if (i18n.language === 'en') {
        return <UiOLogoSealEn />
      }
      return <UiOLogoSealNo />
    case 'uib':
      if (i18n.language === 'en') {
        return <UiBLogoEn />
      }
      return <UiBLogoNo />
    default:
      return <></>
  }
}

export { getHeaderLogo, getFooterLogo }
